//
//  ViewController.swift
//  HCITipCalculator
//
//  Created by Michael Oppermann on 4/18/16.
//  Copyright © 2016 Michael Oppermann. All rights reserved.
//


import UIKit

class ViewController: UIViewController {
    
    @IBOutlet var billAmountTextField: UITextField!
    @IBOutlet var tipPctLabel: UILabel!
    @IBOutlet var tipPctSlider: UISlider!
    
    let tipCalc = TipCalculatorModel(billAmount: 0, tipPct: 0.05)
    
    func refreshUI() {
        tipPctSlider.value = Float(tipCalc.tipPct) * 100
        tipPctLabel.text = "Tip Percentage (\(Int(tipPctSlider.value))%)"
        print("Slider value: \(tipPctSlider.value)")
    }
    
    override func viewDidLoad() {
        super.viewDidLoad()
    
        refreshUI()
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    @IBAction func tipPctSliderChanged(sender: AnyObject) {
        tipCalc.tipPct = round(Double(tipPctSlider.value)) / 100.0
        refreshUI()
    }
    
    @IBAction func viewTapped(sender: AnyObject) {
        billAmountTextField.resignFirstResponder()
    }
    
    @IBAction func calculateTapped(sender: AnyObject) {
        tipCalc.billAmount = Double((billAmountTextField.text! as NSString).doubleValue)
    }
    
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        let resultViewController = segue.destinationViewController as! ResultViewController
        resultViewController.result = tipCalc.result
        //resultViewController.tip = tipCalc.tipPct
        
    }
    
}